require 'test_helper'

describe PaychexAPI::Client::Notifications do
  let!(:body) do
    {
      'companyId' => '00Z5V9BTI687WL8V60GT',
      'asOfDate' => '2018-01-12T00:00:00Z',
      'domains' => ['CLT_PROD'],
      'action' => 'ADD',
      'productCode' => 'LMS_ENH'
    }
  end

  before do
    @client = PaychexAPI::Client.new(
      prefix: 'http://test.paychex.com', client_id: 'client_id', client_secret: 'client_secret'
    )
  end

  it 'should create a message' do
    response = @client.create_message(body)
    expect(response.status).to(eq(201))
  end
end
