require 'test_helper'

describe PaychexAPI::Client::Notifications do
  before do
    @client = PaychexAPI::Client.new(
      prefix: 'http://test.paychex.com', client_id: 'client_id', client_secret: 'client_secret'
    )
  end

  it 'should send a notification' do
    response = @client.send_notification('f7f9c815-0d4c-46e5-9434-5cc19470d1ed-3520000031155394')

    expect(response.status).to(eq(200))
  end

  it 'should URI escape a notification id' do
    expect_any_instance_of(PaychexAPI::Client::Notifications)
      .to receive(:post)
      .with('/notifications/f7f9c815-0d4c-46e5-9434-5cc1%209470d1ed-3520000031155394', {})

    @client.send_notification('f7f9c815-0d4c-46e5-9434-5cc1 9470d1ed-3520000031155394')
  end
end
